package com.example.shmelevmvmobile

import android.os.Build
import android.os.Bundle
import androidx.activity.ComponentActivity
import androidx.activity.compose.setContent
import androidx.activity.viewModels
import androidx.annotation.RequiresApi
import androidx.compose.foundation.layout.Column
import androidx.compose.foundation.layout.fillMaxSize
import androidx.compose.foundation.layout.padding
import androidx.compose.material3.Button
import androidx.compose.material3.MaterialTheme
import androidx.compose.material3.Surface
import androidx.compose.material3.Text
import androidx.compose.material3.TextField
import androidx.compose.runtime.Composable
import androidx.compose.runtime.mutableStateOf
import androidx.compose.runtime.remember
import androidx.compose.ui.Alignment
import androidx.compose.ui.Modifier
import androidx.compose.ui.unit.dp
import androidx.lifecycle.ViewModel
import androidx.lifecycle.ViewModelProvider
import com.example.shmelevmvmobile.API.RepositoryImpl
import com.example.shmelevmvmobile.API.RetrofitInstance
import com.example.shmelevmvmobile.navigation.Navigation
import com.example.shmelevmvmobile.ui.theme.ShmelevMVMobileTheme
import com.example.shmelevmvmobile.viewmodel.ViewModelMain

class MainActivity : ComponentActivity() {
    private val viewModel_Smart by viewModels<ViewModelMain>(factoryProducer = {
        object : ViewModelProvider.Factory {
            override fun <W : ViewModel> create(modelClass: Class<W>): W {
                return ViewModelMain(RepositoryImpl(RetrofitInstance.api))
                        as W
            }
        }
    })
    @RequiresApi(Build.VERSION_CODES.O)
    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        setContent {
            ShmelevMVMobileTheme {
                // A surface container using the 'background' color from the theme
                Surface(
                    modifier = Modifier.fillMaxSize(),
                    color = MaterialTheme.colorScheme.background
                ) {
                    Navigation(viewModel_Smart)

                }
            }
        }
    }
}



