package com.example.shmelevmvmobile.navigation

import android.os.Build
import androidx.annotation.RequiresApi
import androidx.compose.runtime.Composable
import androidx.compose.runtime.getValue
import androidx.compose.runtime.mutableStateOf
import androidx.compose.runtime.remember
import androidx.compose.runtime.setValue
import androidx.navigation.compose.NavHost
import androidx.navigation.compose.composable
import androidx.navigation.compose.rememberNavController
import com.example.shmelevmvmobile.screens.Code_Email
import com.example.shmelevmvmobile.screens.News
import com.example.shmelevmvmobile.screens.SplashScreen
import com.example.shmelevmvmobile.screens.Welcome
import com.example.shmelevmvmobile.viewmodel.ViewModelMain


@RequiresApi(Build.VERSION_CODES.O)
@Composable
fun Navigation(viewModel: ViewModelMain) {
    val navController = rememberNavController()
    NavHost(navController = navController,
        startDestination = "splashScreen")
    {
        composable("splashScreen"){
            SplashScreen(navController)
        }
        composable("welcome"){
            Welcome(navController, viewModel)
        }
        composable("codeemail"){
            Code_Email(navController, viewModel)
        }
        composable("newwin"){
            News(navController)
        }
    }
}